Page MenuHomePhabricator

[flang][fir] Add shape, shape_shift, and slice types.
ClosedPublic

Authored by schweitz on Feb 5 2021, 1:06 PM.

Diff Detail

Event Timeline

schweitz created this revision.Feb 5 2021, 1:06 PM
schweitz requested review of this revision.Feb 5 2021, 1:06 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2021, 1:06 PM
mehdi_amini added inline comments.Feb 5 2021, 1:36 PM
flang/lib/Optimizer/Dialect/FIRType.cpp
514

MLIR has now the ability to auto-generate all this from TableGen, reducing drastically the boilerplate, can we move all these there? https://mlir.llvm.org/docs/OpDefinitions/#type-definitions

schweitz added inline comments.Feb 8 2021, 7:43 AM
flang/lib/Optimizer/Dialect/FIRType.cpp
514

Nice addition. How about going through all these types and using the new tablegen syntax for them all in a separate patch?

mehdi_amini added inline comments.Feb 8 2021, 10:45 AM
flang/lib/Optimizer/Dialect/FIRType.cpp
514

Sure, whatever works best for you here.

schweitz edited reviewers, added: clementval; removed: clemensg.Feb 8 2021, 4:35 PM
schweitz added a reviewer: sscalpone.
jeanPerier accepted this revision.Feb 9 2021, 1:26 AM
This revision is now accepted and ready to land.Feb 9 2021, 1:26 AM
This revision was automatically updated to reflect the committed changes.